Subject: Re: bug#41406: Docker package retains Go references (was Re: Guix closure size of a system?)

From: Leo Famulari <[email-masked]>
Date: Tue, 26 May 2020 12:24:22 -0400

On Tue, May 26, 2020 at 04:17:01PM +0200, Danny Milosavljevic wrote:
> Hi Leo,
> 
> On Thu, 21 May 2020 12:20:09 -0400
> Leo Famulari <[email-masked]> wrote:
> 
> > We should make the linter complain about this [go] reference.
> 
> What do you mean exactly?  How would it know, given that that was a runtime
> dependency?  Would guix lint build the derivation and check for references
> to go etc?  Sounds doable.

I had confused this sitation with the linter's warnings about "inputs
that should be native".

It's probably not worth adding a linter check for this, because everyone
should be using the go-build-system for their Go packages, and if it
doesn't work, that's a bug in the build system, not in the package
definition :)

I don't think the linter should build things and check for spurious
references. At least, not just for this case.